version: "3.7"

services:
  app:
    image: nginx:latest
    deploy:
      labels:
        traefik.protocol: http
        traefik.port: '80'
        traefik.frontend.entryPoints: http,https
        traefik.frontend.rule: "Host:${ingress.host};PathPrefixStrip:${ingress.path}"
        traefik.docker.network: ${ingress.network}
    networks:
      - app
      - ingress

networks:
  app:
  ingress:
    name: ${ingress.network}
    external: true
